You can get it here:

NOVELL: Downloads - Technology Preview - Novell Data Synchronizer Mobility Pack

This is build 146.

There have been database and connector changes that will make it necessary for you to uninstall your previous installation and reinstall with build 146.

We're very aware of the need for a better update/upgrade process and are trying to work towards that.

Thanks for your patience and feedback. We are watching these forums closely and your feedback has not gone unnoticed.